<div class="panel panel-default">
  <div style="padding:10px;">
    <h3>W&auml;hlen sie die f&uuml;r Packstation erlaubten Versandarten hier aus:</h3>
    <table class="table" id="versandarten" data-xhrurl="{$xhrURL}">
      <thead>
        <tr>
          <th>Verandart</th>
          <th>Status</th>
        </tr>
      </thead>
      <tbody>
        {foreach from=$alleVersandarten item=versandart}
        <tr>
          <td>{$versandart['cName']}</td>
          <td>
            <label class="switch">
              <input type="checkbox" value="{$versandart['kVersandart']}" data-versandartName="{$versandart['cName']}" {if $versandart['valid'] == 'yes'} checked{/if}>
              <span class="slider round"></span>
            </label>
          </td>
        </tr>
        {/foreach}
      </tbody>
    </table>
  </div>
</div>
<style media="screen">
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 24px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 2px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(16px);
  -ms-transform: translateX(16px);
  transform: translateX(16px);
}

.slider.round {
  border-radius: 24px;
}

.slider.round:before {
  border-radius: 50%;
}
</style>
<script src="{$assetPath}/js/notify.min.js" charset="utf-8"></script>
<script src="{$assetPath}/js/versandarten.js" charset="utf-8"></script>
